var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_DICTIONARY_OVERVIEW_DASHBOARD_PATH } from '../dashboard/index.js';
import { html, customElement } from '../../../external/lit/index.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
let UmbDictionaryWorkspaceEditorElement = class UmbDictionaryWorkspaceEditorElement extends UmbLitElement {
    render() {
        return html `
			<umb-entity-detail-workspace-editor .backPath=${UMB_DICTIONARY_OVERVIEW_DASHBOARD_PATH}>
				<umb-workspace-header-name-editable slot="header"></umb-workspace-header-name-editable>
			</umb-entity-detail-workspace-editor>
		`;
    }
};
UmbDictionaryWorkspaceEditorElement = __decorate([
    customElement('umb-dictionary-workspace-editor')
], UmbDictionaryWorkspaceEditorElement);
export { UmbDictionaryWorkspaceEditorElement };
export default UmbDictionaryWorkspaceEditorElement;
